/** \file
	\brief Data frame description
*/

#ifndef DataFrameH
#define DataFrameH

#include <sys\timeb.h>
#include <vector>

struct DEV_CALIBRATION
{
	int offset;
	float gain;
};

struct S_DATAFRAME {
	struct timeb timestamp;
	float fDivX;
	struct Channel {
		int id;
		float fDivY;
		int coupling;
		struct DEV_CALIBRATION calibration;
	};
	std::vector<Channel> channels;
	int trigger_source;
	int trigger_type;
	unsigned int buffer_size;
};

#endif
